Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cast": [
{
"adult": false,
"character": "Stan Smith / Roger (voice)",
"credit_id": "5256e83b19c2956ff60ed46d",
"gender": 2,
"id": 52139,
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"order": 0,
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"character": "Francine Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed3bb",
"gender": 1,
"id": 37600,
"known_for_department": "Acting",
"name": "Wendy Schaal",
"order": 1,
"original_name": "Wendy Schaal",
"popularity": 14.136,
"profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg"
},
{
"adult": false,
"character": "Hayley Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed371",
"gender": 1,
"id": 81668,
"known_for_department": "Acting",
"name": "Rachael MacFarlane",
"order": 2,
"original_name": "Rachael MacFarlane",
"popularity": 6.058,
"profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg"
},
{
"adult": false,
"character": "Steve Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed409",
"gender": 2,
"id": 35091,
"known_for_department": "Acting",
"name": "Scott Grimes",
"order": 3,
"original_name": "Scott Grimes",
"popularity": 16.771,
"profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg"
},
{
"adult": false,
"character": "Klaus (voice)",
"credit_id": "527ae96619c29529e5088231",
"gender": 2,
"id": 23680,
"known_for_department": "Acting",
"name": "Dee Bradley Baker",
"order": 4,
"original_name": "Dee Bradley Baker",
"popularity": 16.274,
"profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "5256e7e219c2956ff60e44a2",
"department": "Writing",
"gender": 2,
"id": 1224453,
"job": "Writer",
"known_for_department": "Writing",
"name": "David Zuckerman",
"original_name": "David Zuckerman",
"popularity": 1.058,
"profile_path": null
},
{
"adult": false,
"credit_id": "5e0c50575541fa00131c4d1c",
"department": "Directing",
"gender": 2,
"id": 2495504,
"job": "Director",
"known_for_department": "Directing",
"name": "Brent Woods",
"original_name": "Brent Woods",
"popularity": 0.001,
"profile_path": "/4gGF5VxChdMC5oYZ16EvfDV3OWz.jpg"
}
],
"guest_stars": [
{
"adult": false,
"character": "Dick (voice)",
"credit_id": "5256e7da19c2956ff60e3d2b",
"gender": 2,
"id": 17401,
"known_for_department": "Acting",
"name": "Stephen Root",
"order": 587,
"original_name": "Stephen Root",
"popularity": 24.72,
"profile_path": "/2Zwi6AydqQQ9InVdhjYcfJXNzkp.jpg"
},
{
"adult": false,
"character": "Hazmat Guy (voice)",
"credit_id": "5256e7e119c2956ff60e439c",
"gender": 2,
"id": 60286,
"known_for_department": "Acting",
"name": "Ralph Garman",
"order": 1093,
"original_name": "Ralph Garman",
"popularity": 2.782,
"profile_path": "/AuDBsawi0M9m9Gd23swFI3mur1v.jpg"
},
{
"adult": false,
"character": "Ted Feedler / Nameless Bum (voice)",
"credit_id": "5256e7e119c2956ff60e4400",
"gender": 2,
"id": 24362,
"known_for_department": "Acting",
"name": "Kevin Michael Richardson",
"order": 1301,
"original_name": "Kevin Michael Richardson",
"popularity": 17.346,
"profile_path": "/xXt9Nh7RAT5bOen66TaXreNYmCl.jpg"
},
{
"adult": false,
"character": "Jackson / Charlie (voice)",
"credit_id": "5baa82e892514150e8005401",
"gender": 2,
"id": 1219665,
"known_for_department": "Acting",
"name": "Mike Henry",
"order": 1317,
"original_name": "Mike Henry",
"popularity": 3.495,
"profile_path": "/4b2315JgnH0O0hJPwLvl01EZEjo.jpg"
},
{
"adult": false,
"character": "Terry Bates (voice)",
"credit_id": "5256e7d919c2956ff60e3bdb",
"gender": 2,
"id": 1224449,
"known_for_department": "Writing",
"name": "Mike Barker",
"order": 1656,
"original_name": "Mike Barker",
"popularity": 2.355,
"profile_path": "/eUpPQD9qX3XdZpl5ItWiDvnWrWA.jpg"
},
{
"adult": false,
"character": "Toshi Yoshida (voice)",
"credit_id": "5f09fb1bf48b340034fce994",
"gender": 2,
"id": 1224451,
"known_for_department": "Acting",
"name": "Daisuke Suzuki",
"order": 2055,
"original_name": "Daisuke Suzuki",
"popularity": 0.896,
"profile_path": null
},
{
"adult": false,
"character": "Barry Robinson (voice)",
"credit_id": "5f09fb3613a32000347610d9",
"gender": 2,
"id": 52480,
"known_for_department": "Acting",
"name": "Eddie Kaye Thomas",
"order": 2056,
"original_name": "Eddie Kaye Thomas",
"popularity": 15.499,
"profile_path": "/k8f8MK8KSOyLozl9pQGaSpYMbpM.jpg"
},
{
"adult": false,
"character": "Snot Lonstein (voice)",
"credit_id": "5b377abc9251413c91034df4",
"gender": 2,
"id": 87003,
"known_for_department": "Acting",
"name": "Curtis Armstrong",
"order": 2065,
"original_name": "Curtis Armstrong",
"popularity": 15.548,
"profile_path": "/3ZAX6NoU47Qshk0svFxkEcJ5fhI.jpg"
}
],
"id": 65906
}Credits
This endpoint get the credits for an episode.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
credits
Credits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Example:
1
Example:
2
Query Parameters
Response
200 - application/json
Credits
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"character": "Stan Smith / Roger (voice)",
"credit_id": "5256e83b19c2956ff60ed46d",
"gender": 2,
"id": 52139,
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"order": 0,
"original_name": "Seth MacFarlane",
"popularity": 23.499,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"character": "Francine Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed3bb",
"gender": 1,
"id": 37600,
"known_for_department": "Acting",
"name": "Wendy Schaal",
"order": 1,
"original_name": "Wendy Schaal",
"popularity": 14.136,
"profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg"
},
{
"adult": false,
"character": "Hayley Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed371",
"gender": 1,
"id": 81668,
"known_for_department": "Acting",
"name": "Rachael MacFarlane",
"order": 2,
"original_name": "Rachael MacFarlane",
"popularity": 6.058,
"profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg"
},
{
"adult": false,
"character": "Steve Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed409",
"gender": 2,
"id": 35091,
"known_for_department": "Acting",
"name": "Scott Grimes",
"order": 3,
"original_name": "Scott Grimes",
"popularity": 16.771,
"profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg"
},
{
"adult": false,
"character": "Klaus (voice)",
"credit_id": "527ae96619c29529e5088231",
"gender": 2,
"id": 23680,
"known_for_department": "Acting",
"name": "Dee Bradley Baker",
"order": 4,
"original_name": "Dee Bradley Baker",
"popularity": 16.274,
"profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg"
}
]
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"credit_id": "5256e7e219c2956ff60e44a2",
"department": "Writing",
"gender": 2,
"id": 1224453,
"job": "Writer",
"known_for_department": "Writing",
"name": "David Zuckerman",
"original_name": "David Zuckerman",
"popularity": 1.058,
"profile_path": null
},
{
"adult": false,
"credit_id": "5e0c50575541fa00131c4d1c",
"department": "Directing",
"gender": 2,
"id": 2495504,
"job": "Director",
"known_for_department": "Directing",
"name": "Brent Woods",
"original_name": "Brent Woods",
"popularity": 0.001,
"profile_path": "/4gGF5VxChdMC5oYZ16EvfDV3OWz.jpg"
}
]
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"character": "Dick (voice)",
"credit_id": "5256e7da19c2956ff60e3d2b",
"gender": 2,
"id": 17401,
"known_for_department": "Acting",
"name": "Stephen Root",
"order": 587,
"original_name": "Stephen Root",
"popularity": 24.72,
"profile_path": "/2Zwi6AydqQQ9InVdhjYcfJXNzkp.jpg"
},
{
"adult": false,
"character": "Hazmat Guy (voice)",
"credit_id": "5256e7e119c2956ff60e439c",
"gender": 2,
"id": 60286,
"known_for_department": "Acting",
"name": "Ralph Garman",
"order": 1093,
"original_name": "Ralph Garman",
"popularity": 2.782,
"profile_path": "/AuDBsawi0M9m9Gd23swFI3mur1v.jpg"
},
{
"adult": false,
"character": "Ted Feedler / Nameless Bum (voice)",
"credit_id": "5256e7e119c2956ff60e4400",
"gender": 2,
"id": 24362,
"known_for_department": "Acting",
"name": "Kevin Michael Richardson",
"order": 1301,
"original_name": "Kevin Michael Richardson",
"popularity": 17.346,
"profile_path": "/xXt9Nh7RAT5bOen66TaXreNYmCl.jpg"
},
{
"adult": false,
"character": "Jackson / Charlie (voice)",
"credit_id": "5baa82e892514150e8005401",
"gender": 2,
"id": 1219665,
"known_for_department": "Acting",
"name": "Mike Henry",
"order": 1317,
"original_name": "Mike Henry",
"popularity": 3.495,
"profile_path": "/4b2315JgnH0O0hJPwLvl01EZEjo.jpg"
},
{
"adult": false,
"character": "Terry Bates (voice)",
"credit_id": "5256e7d919c2956ff60e3bdb",
"gender": 2,
"id": 1224449,
"known_for_department": "Writing",
"name": "Mike Barker",
"order": 1656,
"original_name": "Mike Barker",
"popularity": 2.355,
"profile_path": "/eUpPQD9qX3XdZpl5ItWiDvnWrWA.jpg"
},
{
"adult": false,
"character": "Toshi Yoshida (voice)",
"credit_id": "5f09fb1bf48b340034fce994",
"gender": 2,
"id": 1224451,
"known_for_department": "Acting",
"name": "Daisuke Suzuki",
"order": 2055,
"original_name": "Daisuke Suzuki",
"popularity": 0.896,
"profile_path": null
},
{
"adult": false,
"character": "Barry Robinson (voice)",
"credit_id": "5f09fb3613a32000347610d9",
"gender": 2,
"id": 52480,
"known_for_department": "Acting",
"name": "Eddie Kaye Thomas",
"order": 2056,
"original_name": "Eddie Kaye Thomas",
"popularity": 15.499,
"profile_path": "/k8f8MK8KSOyLozl9pQGaSpYMbpM.jpg"
},
{
"adult": false,
"character": "Snot Lonstein (voice)",
"credit_id": "5b377abc9251413c91034df4",
"gender": 2,
"id": 87003,
"known_for_department": "Acting",
"name": "Curtis Armstrong",
"order": 2065,
"original_name": "Curtis Armstrong",
"popularity": 15.548,
"profile_path": "/3ZAX6NoU47Qshk0svFxkEcJ5fhI.jpg"
}
]
Example:
65906
⌘I